Bug 2358 - wrong configuration in /etc/emacs/site-start.d
: wrong configuration in /etc/emacs/site-start.d
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-xslide)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-11 17:04 by
Modified: 2004-06-06 18:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-11 17:04:41
В пакете emacs-xslide-0.2-alt0.6.1 в файле /etc/emacs/site-start.d/xslide.el
имеются следующие ошибки:

1. В auto-mode-alist добавляются шаблоны \"\\.fo\" и
\"\\.xsl\" - это неверно; из-за этого, в частности, файл
font-lock.el.bz2 открывается в xsl-mode.  Должно быть
\"\\\\.fo\\\\\'\" и \"\\\\.xsl\\\\\'\".

2. Вызов (abbrev-mode t) в этом файле неуместен - такое изменение глобальных
настроек после установки пакета emacs-xslide выглядит довольно странно.

---

---
------- Comment #1 From 2003-03-14 12:23:58 -------
в инкоминг сизифа залита свежая версия
------- Comment #2 From 2003-03-14 12:23:58 -------
в инкоминг сизифа залита свежая версия
------- Comment #3 From 2003-03-20 18:14:35 -------
1) Not enough \'\\\' again (same problem as #0002356)

2) (abbrev-mode t) is still there - why?  It does not do anything useful in this context.
------- Comment #4 From 2003-03-20 18:14:35 -------
1) Not enough \'\\\' again (same problem as #0002356)

2) (abbrev-mode t) is still there - why?  It does not do anything useful in this context.
------- Comment #5 From 2003-12-16 12:13:31 -------
fixied in 2.2-alt
------- Comment #6 From 2004-01-26 20:44:34 -------
not fixed in emacs-xslide-0.2.1-alt1 - see bug #2357, need '__INIT__' in spec
------- Comment #7 From 2004-05-11 09:48:00 -------
исправлено